DO
$$
    DECLARE
        _path varchar(256) := 'patch-2025_11_21-StorageConfigurations';
    BEGIN
            IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
                RETURN;
    END IF;
            IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15635) THEN
                RETURN;
    END IF;

    BEGIN
        ALTER TABLE "StorageConfigurations" 
            ADD COLUMN "IsEnabled" boolean,
            ADD COLUMN "MigrationTaskId" bigint NULL;

        INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;
